net.minecraft.tileentity

## Class TileEntityEnderChest

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityEnderChest

-     public class TileEntityEnderChest
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `lidAngle` The current angle of the chest lid (between 0 and 1)
    `int` | `numUsingPlayers` The number of players currently using this ender chest.
    `float` | `prevLidAngle` The angle of the chest lid last tick

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityEnderChest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeChest()`
    `void` | `invalidate()` invalidates a tile entity
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `openChest()`
    `void` | `receiveClientEvent(int par1, int par2)` Called when a client event is received with the event number and argument, see World.sendClientEvent
    `void` | `updateEntity()` Allows the entity to update its state.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getRenderBoundingBox, getWorldObj, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, readFromNBT, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lidAngle

          public float lidAngle

      The current angle of the chest lid (between 0 and 1)

    - #### prevLidAngle

          public float prevLidAngle

      The angle of the chest lid last tick

    - #### numUsingPlayers

          public int numUsingPlayers

      The number of players currently using this ender chest.

  - ### Constructor Detail

    - #### TileEntityEnderChest

          public TileEntityEnderChest()

  - ### Method Detail

    - #### updateEntity

          public void updateEntity()

      Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.
      Overrides:
        `updateEntity` in class `TileEntity`

    - #### receiveClientEvent

          public void receiveClientEvent(int par1,
                                int par2)

      Called when a client event is received with the event number and argument, see World.sendClientEvent
      Overrides:
        `receiveClientEvent` in class `TileEntity`

    - #### invalidate

          public void invalidate()

      invalidates a tile entity
      Overrides:
        `invalidate` in class `TileEntity`

    - #### openChest

          public void openChest()

    - #### closeChest

          public void closeChest()

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)